Relationship Graph View Issue Dependency Graph
related to child of duplicate of

View Issue Details

IDProjectCategoryView StatusLast Update
0019845phpList 3 applicationSoftware Releasespublic05-11-19 11:29
Reportersuela 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionopen 
Product Version3.4.0 
Target Version3.4.8Fixed in Version3.4.8 
Summary0019845: php mailer upgrade research
DescriptionCheck what issues may arise from the upgrade. Major changes and the ones most likely to affect us.
TagsNo tags attached.

Activities

xheni

05-04-19 14:47

administrator   ~0062067

Last edited: 05-04-19 14:49

View 2 revisions

Regarding the version that it's being used now, it is no longer being supported for feature updates, but at least it receives security updates in this branch: https://github.com/PHPMailer/PHPMailer/tree/5.2-stable .

duncanc

27-10-19 08:11

updater   ~0062806

I have been looking at using phpmailer 6 and there are fewer code changes than I expected.

But using phpmailer 6 will have a few important restrictions
phpmailer now requires php 5.5+
phpmailer and the phplist code changes are not backward-compatible with phpmailer 5

If phpmailer 6 is included in phplist then the first would require clear communication about the upgrade.
The second point is relevant because currently people can use a version of phpmailer different to that included in phplist by specifying it with the PHPMAILER_PATH constant.

I will push my changes then make a pull request for discussion.

michiel

28-10-19 21:38

manager   ~0062809

That's brilliant, thanks. We can run some tests and then move forward.

duncanc

03-11-19 08:41

updater   ~0062814

See https://github.com/phpList/phplist3/pull/608